MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032205Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-12 18:552021-04-17 14:02
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032205: Visualization - implementing new selection scheme in context - replace extra
DescriptionThe selection case description is on attached image.
The difference from AIS_SelectionScheme_Replace is that when the user clicks on already selected element(in case if a single selection), it becomes unselected.
TagsNo tags attached.
Test case numbervselect/bugs/bug32205
Attached Filespng file icon selection_scheme_replaceExtra.png (2,040 bytes) 2021-03-12 18:55

- Relationships
child of 0030737verifiedbugmaster Visualization - implementing new selection schemes in context 

-  Notes
(0100303)
git (administrator)
2021-04-15 10:13

Branch CR32205 has been created by nds.

SHA-1: 92208adacd12944179c162a016448d8ae53b0902


Detailed log of new commits:

Author: nds
Date: Wed Oct 28 21:16:27 2020 +0300

    0032205: Visualization - implementing new selection scheme in context - replace extra
    
    - implementation of additional selection scheme, mainly to deselect single selected object.
(0100304)
nds (developer)
2021-04-15 10:15

Dear Kirill,
could you please, review the patch.

Thank you for help, Natalia
(0100305)
kgv (developer)
2021-04-15 10:40

Tip, instead of probing colors:
+if { [vreadpixel  50 300 rgb name] != "GRAY73"        } { puts "Error: b1 should be selected."}

+if { [vreadpixel 300 200 rgb name] != "GRAY73"        } { puts "Error: b2 should be selected."}



it could be more straightforward checking Selected / Detected states via "vstate" command:
+if { ![string match "*Selected*" [vstate b1]] } { puts "Error: b1 should be selected."}

(0100306)
kgv (developer)
2021-04-15 10:42
edited on: 2021-04-15 10:43

+    case AIS_SelectionScheme_ReplaceExtra:
+    {
...
+    }
     case AIS_SelectionScheme_Replace:

Please put Standard_FALLTHROUGH to eliminate compiler warnings.

(0100308)
git (administrator)
2021-04-15 11:26

Branch CR32205 has been updated forcibly by nds.

SHA-1: 21246a8326307e3d8a3920ecb9385f053c15d4ce
(0100313)
nds (developer)
2021-04-15 13:12

Corrected, please review.
Jenkins job is: http://jenkins-test-12.nnov.opencascade.com/view/CR32205-master-nds/. [^]
(0100388)
bugmaster (administrator)
2021-04-17 13:08

Combination -
OCCT branch : IR-2021-04-16
master SHA - 1294d5e39ed35dc97b2241956855fe794a03b0d8
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-04-16 SHA - 03c3cb382950144b11c09108f24673216c4e5922
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17987.850000000446 / 18020.24000000038 [-0.18%]
Products
Total CPU difference: 11564.760000000093 / 11543.43000000007 [+0.18%]
Windows-64-VC14:
OCCT
Total CPU difference: 19496.34375 / 19510.890625 [-0.07%]
Products
Total CPU difference: 12932.890625 / 12891.265625 [+0.32%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100403)
git (administrator)
2021-04-17 14:02

Branch CR32205 has been deleted by inv.

SHA-1: 21246a8326307e3d8a3920ecb9385f053c15d4ce

- Related Changesets
occt: master e76471b5
Timestamp: 2020-10-28 18:16:27
Author: nds
Committer: bugmaster
Details ] Diff ]
0032205: Visualization - implementing new selection scheme in context - replace extra

- implementation of additional selection scheme, mainly to deselect single selected object.
add - dox/user_guides/visualization/images/visualization_selection_scheme_replaceExtra.svg Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]
mod - src/AIS/AIS_Selection.cxx Diff ] File ]
mod - src/AIS/AIS_SelectionScheme.hxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
add - tests/vselect/bugs/bug32205 Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-12 18:55 nds New Issue
2021-03-12 18:55 nds Assigned To => nds
2021-03-12 18:55 nds File Added: selection_scheme_replaceExtra.png
2021-03-12 18:55 nds Summary 0030737: Visualization - implementing new selection scheme in context - replace extra => Visualization - implementing new selection scheme in context - replace extra
2021-03-12 18:56 nds Relationship added child of 0030737
2021-04-15 10:13 git Note Added: 0100303
2021-04-15 10:15 nds Status new => resolved
2021-04-15 10:15 nds Note Added: 0100304
2021-04-15 10:15 nds Assigned To nds => kgv
2021-04-15 10:40 kgv Note Added: 0100305
2021-04-15 10:41 kgv Assigned To kgv => bugmaster
2021-04-15 10:41 kgv Status resolved => reviewed
2021-04-15 10:42 kgv Note Added: 0100306
2021-04-15 10:42 kgv Assigned To bugmaster => nds
2021-04-15 10:42 kgv Status reviewed => assigned
2021-04-15 10:43 kgv Note Edited: 0100306 View Revisions
2021-04-15 11:26 git Note Added: 0100308
2021-04-15 13:12 nds Note Added: 0100313
2021-04-15 13:12 nds Assigned To nds => kgv
2021-04-15 13:12 nds Status assigned => resolved
2021-04-15 13:51 kgv Assigned To kgv => bugmaster
2021-04-15 13:51 kgv Status resolved => reviewed
2021-04-17 13:08 bugmaster Note Added: 0100388
2021-04-17 13:08 bugmaster Status reviewed => tested
2021-04-17 13:14 bugmaster Test case number => vselect/bugs/bug32205
2021-04-17 13:41 bugmaster Changeset attached => occt master e76471b5
2021-04-17 13:41 bugmaster Status tested => verified
2021-04-17 13:41 bugmaster Resolution open => fixed
2021-04-17 14:02 git Note Added: 0100403


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker